package xyz.lychee.lagfixer.libs.adventure.text.minimessage.internal.parser.node;

import xyz.lychee.lagfixer.libs.adventure.text.minimessage.internal.parser.Token;
import xyz.lychee.lagfixer.libs.adventure.text.minimessage.tree.Node;
import xyz.lychee.lagfixer.libs.annotations.NotNull;

public final class RootNode extends ElementNode implements Node.Root {
   private final String beforePreprocessing;

   public RootNode(final @NotNull String sourceMessage, final @NotNull String beforePreprocessing) {
      super((ElementNode)null, (Token)null, sourceMessage);
      this.beforePreprocessing = beforePreprocessing;
   }

   public @NotNull String input() {
      return this.beforePreprocessing;
   }
}
